Subject: RE: [External] : bug#52074: 29.0.50; Add key binding for find-library

From: Drew Adams <[email-masked]>
Date: Wed, 24 Nov 2021 21:06:56 +0000

[Sending again.  Didn't show up in the bug list for some reason.] 

> Library commentaries are one of the primary sources of documentation
> in Emacs, so I think it's pretty help-related.

True.  But we also have `finder-commentary' for that aspect.

> FWIW I use this same binding, and in my mind it makes excellent sense
> to use C-h C-l for `find-library' if you also have:
> 
> C-h C-v for `find-variable'
> C-h C-f for `find-function'
> C-h C-k for `find-function-on-key'
> 
> All of which feel (to me) analogous to C-h v, C-h f, and C-h k: Without
> the Ctrl modifier you view the docstrings; with it you view the code.
> 
> (Admittedly C-h l is unconnected, but that hasn't bothered me.
> Following
> my pattern that would probably be bound to `finder-commentary', but I'm
> not suggesting we move `view-lossage' elsewhere.)
> 
> I guess my main point is that I do think of *all* of these things as
> help-related, as I consider reading the code as just the next step up
> from reading the docstrings.

It's good to discuss this, and I'm glad to see
people giving _reasons_ for proposals/opinions.
I wish that were more often the case.

To my mind `find-library' fits most closely with
`find-file'.  I put my `other-window' version on
`C-x 4 l' as analogy to `C-x 4 f'.